import { OrientationParam, PaginationParams } from '../../types/request';
import * as Photo from './types';
declare type PhotoId = {
    photoId: string;
};
export declare const list: {
    getPathname: (params: void | undefined) => string;
} & {
    handleRequest: (a: PaginationParams | undefined, additionalFetchOptions?: import("../../helpers/request").AdditionalFetchOptions | undefined) => import("../../helpers/request").CompleteRequestParams;
    handleResponse: import("../../helpers/response").HandleResponse<{
        results: Photo.Basic[];
        total: number;
    }>;
};
export declare const get: {
    getPathname: (params: PhotoId) => string;
} & {
    handleRequest: (a: PhotoId, additionalFetchOptions?: import("../../helpers/request").AdditionalFetchOptions | undefined) => import("../../helpers/request").CompleteRequestParams;
    handleResponse: import("../../helpers/response").HandleResponse<Photo.Full>;
};
export declare const getStats: {
    getPathname: (params: PhotoId) => string;
} & {
    handleRequest: (a: PhotoId, additionalFetchOptions?: import("../../helpers/request").AdditionalFetchOptions | undefined) => import("../../helpers/request").CompleteRequestParams;
    handleResponse: import("../../helpers/response").HandleResponse<Photo.Stats>;
};
export declare type RandomParams = {
    collectionIds?: string[];
    topicIds?: string[];
    featured?: boolean;
    username?: string;
    query?: string;
    contentFilter?: 'low' | 'high';
    count?: number;
} & OrientationParam;
export declare const getRandom: {
    getPathname: (params: unknown) => string;
} & {
    handleRequest: (a: RandomParams | undefined, additionalFetchOptions?: import("../../helpers/request").AdditionalFetchOptions | undefined) => import("../../helpers/request").CompleteRequestParams;
    handleResponse: import("../../helpers/response").HandleResponse<Photo.Random | Photo.Random[]>;
};
export declare const trackDownload: {
    handleRequest: (a: {
        downloadLocation: string;
    }, additionalFetchOptions?: import("../../helpers/request").AdditionalFetchOptions | undefined) => import("../../helpers/request").CompleteRequestParams;
    handleResponse: import("../../helpers/response").HandleResponse<{
        url: string;
    }>;
};
export {};
