import { OrientationParam, PaginationParams, Plus } from '../../types/request';
import { ColorId, ContentFilter, Language, SearchOrderBy } from './types/request';
import * as SearchResponse from './types/response';
export declare type SearchParams = {
    query: string;
} & Pick<PaginationParams, 'page' | 'perPage'>;
declare type SearchPhotosParams = SearchParams & OrientationParam & {
    /**
     * API defaults to `"relevant"` if no value is provided
     */
    orderBy?: SearchOrderBy;
    color?: ColorId;
    plus?: Plus;
    /**
     * API defaults to `en` (English) if no value is provided
     */
    lang?: Language;
    /**
     * API defaults to `"low"` if no value is provided
     */
    contentFilter?: ContentFilter;
    collectionIds?: string[];
};
export declare const getPhotos: {
    getPathname: (params: void | undefined) => string;
} & {
    handleRequest: (a: SearchPhotosParams, additionalFetchOptions?: import("../../helpers/request").AdditionalFetchOptions | undefined) => import("../../helpers/request").CompleteRequestParams;
    handleResponse: import("../../helpers/response").HandleResponse<SearchResponse.Photos>;
};
export declare const getCollections: {
    getPathname: (params: void | undefined) => string;
} & {
    handleRequest: (a: SearchParams, additionalFetchOptions?: import("../../helpers/request").AdditionalFetchOptions | undefined) => import("../../helpers/request").CompleteRequestParams;
    handleResponse: import("../../helpers/response").HandleResponse<SearchResponse.Collections>;
};
export declare const getUsers: {
    getPathname: (params: void | undefined) => string;
} & {
    handleRequest: (a: SearchParams, additionalFetchOptions?: import("../../helpers/request").AdditionalFetchOptions | undefined) => import("../../helpers/request").CompleteRequestParams;
    handleResponse: import("../../helpers/response").HandleResponse<SearchResponse.Users>;
};
export {};
